# Created by pyp2rpm-3.3.3
%global pypi_name lz4

%bcond_without docs
%bcond_with tests

Name:           python-%{pypi_name}
Version:        4.3.3
Release:        %mkrel 2
Summary:        LZ4 Bindings for Python
Group:          Development/Python
License:        None
URL:            https://github.com/python-lz4/python-lz4
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# for docs
%if %{with docs}
BuildRequires:  python3dist(sphinx-bootstrap-theme)
BuildRequires:  python3dist(sphinx)
%endif
# for tests
%if %{with tests}
BuildRequires:	python3dist(pip)
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-runner)
%endif

%description
This package provides python bindings for the LZ4 compression library.

The bindings provided in this package cover the frame format, the block format, and the
streaming format specifications. The frame format bindings are the recommended ones to use,
as this guarantees interoperability with other implementations and language bindings.

The API provided by the frame format bindings follows that of the LZMA, zlib, gzip and bzip2
compression libraries which are provided with the Python standard library. As such, these
LZ4 bindings should provide a drop-in alternative to the compression libraries shipped with
Python. The package provides context managers and file handler support.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides python bindings for the LZ4 compression library.

The bindings provided in this package cover the frame format, the block format, and the
streaming format specifications. The frame format bindings are the recommended ones to use,
as this guarantees interoperability with other implementations and language bindings.

The API provided by the frame format bindings follows that of the LZMA, zlib, gzip and bzip2
compression libraries which are provided with the Python standard library. As such, these
LZ4 bindings should provide a drop-in alternative to the compression libraries shipped with
Python. The package provides context managers and file handler support.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files lz4

%if %{with tests}
%check
# The test tries to allocate crazy amounts of memory and fails.
# Let's use the same switch it uses in upstream CI to skip some tests.
TRAVIS=1 %pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license docs/license.rst LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Sat Mar 01 2025 wally <wally> 4.3.3-2.mga10
+ Revision: 2155882
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 4.3.3-1.mga10
+ Revision: 2077604
- new version 4.3.3

* Wed Dec 20 2023 tv <tv> 4.3.2-2.mga10
+ Revision: 2020116
- Rebuild for python 3.12

* Tue Sep 19 2023 papoteur <papoteur> 4.3.2-1.mga10
+ Revision: 1988178
- new 4.3.2

* Fri Mar 18 2022 umeabot <umeabot> 3.1.3-3.mga9
+ Revision: 1799123
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 3.1.3-2.mga9
+ Revision: 1775580
- Disable tests for now
- Skip tests that allocate more than 3GB of memory
- Rebuild for python-3.10

* Tue Apr 20 2021 wally <wally> 3.1.3-1.mga9
+ Revision: 1717675
- new version 3.1.3
- enable tests

* Sat Mar 20 2021 neoclust <neoclust> 3.0.2-3.mga9
+ Revision: 1706015
- Rebuild against python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 3.0.2-2.mga8
+ Revision: 1541969
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 3.0.2-1.mga8
+ Revision: 1475786
- imported package python-lz4

